
%define	filerelease 260

Summary:	IOzone Filesystem Benchmark
Name: 		iozone
Version: 	3
Release:      	%{filerelease}.mge.sles09
License:	Freeware
Group: 		System/Benchmark
Source0: 	%{name}%{version}_%{filerelease}.tar.bz2
Source1:	IOzone_msword_98.pdf
Source2:	Run_rules.pdf
Patch0:		%{name}%{version}_%{filerelease}-paths.diff
Buildroot: 	/var/tmp/%{name}-buildroot

Packager:	Matthias G. Eckermann <mge@arcor.de>
Distribution:	SuSE SLES-9 (%{_arch}) MgE

%description
IOzone is a filesystem benchmark tool. The benchmark generates and 
measures a variety of file operations. Iozone has been ported to many machines and runs under many operating systems.

Iozone is useful for performing a broad filesystem analysis of a vendors
computer platform. The benchmark tests file I/O performance for the following
operations: Read, write, re-read, re-write, read backwards, read strided,
fread, fwrite, random read, pread ,mmap, aio_read, aio_write.

##
## PREP
##
%prep

##
## SETUP and PATCH
##
%setup -n iozone3_260/src/current
%patch0 -p3

##
## BUILD
##
%build
make linux

##
## INSTALL
##
%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/opt/iozone/bin
cp $RPM_BUILD_DIR/iozone3_260/src/current/fileop $RPM_BUILD_ROOT/opt/iozone/bin/
cp $RPM_BUILD_DIR/iozone3_260/src/current/iozone $RPM_BUILD_ROOT/opt/iozone/bin/
cp $RPM_BUILD_DIR/iozone3_260/src/current/Generate_Graphs $RPM_BUILD_ROOT/opt/iozone/bin/
cp $RPM_BUILD_DIR/iozone3_260/src/current/gengnuplot.sh $RPM_BUILD_ROOT/opt/iozone/bin/
cp $RPM_BUILD_DIR/iozone3_260/src/current/gnu3d.dem $RPM_BUILD_ROOT/opt/iozone/bin/

mkdir -p $RPM_BUILD_ROOT/opt/iozone/docs
cp %{S:1} $RPM_BUILD_ROOT/opt/iozone/docs/iozone.pdf
cp %{S:2} $RPM_BUILD_ROOT/opt/iozone/docs/run_rules.pdf
cp $RPM_BUILD_DIR/iozone3_260/docs/Iozone_ps.gz $RPM_BUILD_ROOT/opt/iozone/docs/
cp $RPM_BUILD_DIR/iozone3_260/src/current/Gnuplot.txt $RPM_BUILD_ROOT/opt/iozone/docs/

mkdir -p $RPM_BUILD_ROOT/opt/iozone/man/man1
cp $RPM_BUILD_DIR/iozone3_260/docs/iozone.1 $RPM_BUILD_ROOT/opt/iozone/man/man1/

gzip -9 $RPM_BUILD_ROOT/opt/iozone/man/man1/iozone.1
strip $RPM_BUILD_ROOT/opt/iozone/bin/iozone
strip $RPM_BUILD_ROOT/opt/iozone/bin/fileop

##
## FILES
##
%files
%attr(755,root,root) /opt/iozone/

##
%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

#
#	Changelog
#
%changelog
* Tue Mar 14 2006 Matthias G. Eckermann <mge@suse.de>
- update to 3-260
* Thu Sep 09 2005 Matthias G. Eckermann <mge@suse.de>
- update to 3-248
* Thu Jul 18 2005 Matthias G. Eckermann <mge@suse.de>
- update to 3-247
* Thu Jun 23 2005 Matthias G. Eckermann <mge@suse.de>
- update to 3-242
* Wed Feb 16 2005 Matthias G. Eckermann <mge@suse.de>
- fixed pathes in helper scripts
* Wed Feb 16 2005 Matthias G. Eckermann <mge@suse.de>
- Initial RPM for SLES 9

